{ pkgs ? (import <nixpkgs> { })
, callPackage ? pkgs.callPackage
, stdenv ? pkgs.stdenv
, fetchgit ? pkgs.fetchgit
, name ? "brownpaper"
, src ? ./.
}:
let
  filteredSrc = src; # flake only includeds filed tracked by git builtins.filterSource pkgs.lib.cleanSourceFilter src;
  crate2nix_tools = import "${fetchGit { url = "https://github.com/kolloch/crate2nix.git"; rev = "9f3f42bfecebbc3be5526a4194c82fdfc53269e9"; }}/tools.nix" { inherit pkgs; };
  overrides = with pkgs; let
    clang = llvmPackages_10.clang;
    libclang = llvmPackages_10.libclang;
  in
  defaultCrateOverrides // rec {
    nettle-sys = attrs: rec {
      nativeBuildInputs = [ clang pkg-config ];
      buildInputs = [ nettle ];
      LIBCLANG_PATH = "${libclang}/lib";
    };
    brownpaper = attrs: {
      buildInputs = [ gmp ];
    };
  };
  client = with pkgs; runCommandLocal "brownpaper" {
    script = "${filteredSrc}/bp.sh";
    nativeBuildInputs = [ makeWrapper ];
  } ''
    makeWrapper $script $out/bin/brownpaper \
    --prefix PATH : ${lib.makeBinPath [ bash curl gnupg ]}
  '';
in
{ server = (callPackage (crate2nix_tools.generatedCargoNix { inherit name; src = filteredSrc; }) { inherit pkgs; defaultCrateOverrides = overrides; }).rootCrate.build;  inherit client; }
